For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a device

get
Authorizations
defguard_sessionstringRequired
Path parameters
device_idinteger · int64Required

ID of the device.

Responses
200

Device details.

application/json
configuredbooleanRequired

Whether the device is ready to use. Unconfigured devices are not sent to the gateway. Such a device is already added to all its networks, but is still missing something, for example its public key.

createdstring · date-timeRequired
descriptionstring · nullableOptional
device_typestring · enumRequiredPossible values:
idinteger · int64Required
namestringRequired
user_idinteger · int64Required
wireguard_pubkeystringRequired
get/api/v1/device/{device_id}
GET /api/v1/device/{device_id} HTTP/1.1
Accept: */*
{
  "configured": true,
  "created": "2024-07-10T10:25:43.231",
  "description": null,
  "device_type": "user",
  "id": 1,
  "name": "work laptop",
  "user_id": 1,
  "wireguard_pubkey": "xTIBA5rboUvnH4htodjb6e697QjLERt1NAB4mZqp8Dg="
}

Last updated

Was this helpful?